OpenCart 1.4.0 Modüllerini 1.4.4'e Çevirmek

admin

Administrator
Yönetici
Katılım
13 Ağu 2009
Mesajlar
3,196
Tepkime puanı
1
Puanları
38
Yaş
37
Konum
Bursa
Web sitesi
www.opencart-tr.com
OpenCart 1.4.0 modüllerini 1.4.4 e yüklediğinizde şu hatalarla karşılaşabilirsiniz.

- Fatal error: Call to a member function http() on a non-object
- Fatal error: Call to a member function https() on a non-object
- Error: Could not load helper image!

Eğer bu hatalardan biri ile karşılaşıyorsanız modül dosyalarında bu değişiklikleri yapınız.

1. Tüm .php ve .tpl uzantılı dosyalarda
BUL:
Kod:
($this->url->https('
DEĞİŞTİR:
Kod:
((HTTPS_SERVER . 'index.php?route=

2. Tüm .php ve .tpl uzantılı dosyalarda
BUL:
Kod:
$this->url->https('
DEĞİŞTİR:
Kod:
(HTTPS_SERVER . 'index.php?route=

3. Tüm .php ve .tpl uzantılı dosyalarda
BUL:
Kod:
($this->url->http('
DEĞİŞTİR:
Kod:
((HTTP_SERVER . 'index.php?route=

4. Tüm .php ve .tpl uzantılı dosyalarda
FIND:
Kod:
$this->url->http('
DEĞİŞTİR:
Kod:
(HTTP_SERVER . 'index.php?route=

5. Tüm .php ve .tpl uzantılı dosyalarda
BUL:
Kod:
($url->https('
DEĞİŞTİR:
Kod:
((HTTPS_SERVER . 'index.php?route=

6. Tüm .php ve .tpl uzantılı dosyalarda
BUL:
Kod:
$url->https('
DEĞİŞTİR:
Kod:
(HTTPS_SERVER . 'index.php?route=

7. Tüm .php ve .tpl uzantılı dosyalarda
BUL:
Kod:
($url->http('
DEĞİŞTİR:
Kod:
((HTTP_SERVER . 'index.php?route=

8. Tüm .php ve .tpl uzantılı dosyalarda
BUL:
Kod:
$url->http('
REPLACE WITH:
Kod:
(HTTP_SERVER . 'index.php?route=

9. Tüm .php ve .tpl uzantılı dosyalarda
BUL:
Kod:
$this->load->helper('image');
DEĞİŞTİR:
Kod:
$this->load->model('tool/image');

10. Tüm .php ve .tpl uzantılı dosyalarda
BUL:
Kod:
image_resize(
DEĞİŞTİR:
Kod:
$this->model_tool_image->resize(

11. sadece admin .tpl dosyasında
BUL:
Kod:
class="tabs"
DEĞİŞTİR:
Kod:
class="tabs htabs"

Alıntı: Convert 1.4.0 modules to 1.4.4

[bilgi]Yapacağınız bu değişiklikleri bu sıralamaya göre yapınız aksi taktirde hata alabilirsiniz. Tüm modüllerde çalışacak diye birşey yoktur. Bu kısımlar dışında kalan yerlerde de değişiklik olması gerebilir. Bu değişikler sadece yukarıda saydığım hataların çözümüdür.[/bilgi]
 

quckan

OpenCart-TR
Katılım
20 Nis 2010
Mesajlar
7
Tepkime puanı
0
Puanları
0
open cart kodlamasını yeniden mi yapıyoruz?:)
 

vatanist_

OpenCart-TR
Katılım
15 Mar 2010
Mesajlar
12
Tepkime puanı
0
Puanları
0
Selamun Aleyküm

Error: Could not load helper image! 1.4.7 sürümün de de bu hatayı alıyorum ve modüllerde belirttiğiniz kodlar yok , farklı bir çözüm varmı acaba ?
 

mirac

OpenCart-TR
Katılım
7 Şub 2010
Mesajlar
1,383
Tepkime puanı
0
Puanları
0
Yaş
41
Konum
Beykoz____
Web sitesi
www.notebook-cantasi.com
Alttaki kodlar işini görmesi lazım..

9. Tüm .php ve .tpl uzantılı dosyalarda
BUL:
Kod:
Kod:
$this->load->helper('image');

DEĞİŞTİR:
Kod:
Kod:
$this->load->model('tool/image');
 

vatanist_

OpenCart-TR
Katılım
15 Mar 2010
Mesajlar
12
Tepkime puanı
0
Puanları
0
Mirac bey birkaç dosyada
Kod:
$this->load->helper('image');
bu kodu arattım ama dosyaların içerisinde vermiş olduğunuz kod yok.
 

vatanist_

OpenCart-TR
Katılım
15 Mar 2010
Mesajlar
12
Tepkime puanı
0
Puanları
0
hocam yeni kurulumda başıma geldi yönetim paneli açılıyor fakat ana sayfa yok bu hata kodu var.
 

mirac

OpenCart-TR
Katılım
7 Şub 2010
Mesajlar
1,383
Tepkime puanı
0
Puanları
0
Yaş
41
Konum
Beykoz____
Web sitesi
www.notebook-cantasi.com
catalog\controller ve catalog\model dosyalarını yeniden yükleyiniz.. Eğer dosya hatası varsa düzelir ama modul vs eklediyseniz sorununuz devam eder.. Yeniden kurulumu deneyin.. Sıfır kurulumda bu hata olmaz..
 

vatanist_

OpenCart-TR
Katılım
15 Mar 2010
Mesajlar
12
Tepkime puanı
0
Puanları
0
mirac' Alıntı:
catalog\controller ve catalog\model dosyalarını yeniden yükleyiniz.. Eğer dosya hatası varsa düzelir ama modul vs eklediyseniz sorununuz devam eder.. Yeniden kurulumu deneyin.. Sıfır kurulumda bu hata olmaz..

dediğiniz gibi yaptım ve sorun halloldu teşekkür ederim.
 

royiv24

OpenCart-TR
Katılım
22 Ocak 2010
Mesajlar
3
Tepkime puanı
0
Puanları
0
RE: [KOD] OpenCart 1.4.0 Modüllerini 1.4.4'e Çevirmek

merhaba arkadaşlar 1.4.7 için modül bulamıyorum 1.4.0 modüllerin bazılarıda çalışmıyor. Modülleri 1.4.7'ye çevirmek için ne yapmamız lazım

arkadaşlar özellikler 1.4.0 modülü 1.4.7'ye kurunca modül sayfasından düzenleme yapamıyorum...
boş ekren çıkıyor...

acil yardım ederseniz çok iyi olur.

teşekkürler...
 

admin

Administrator
Yönetici
Katılım
13 Ağu 2009
Mesajlar
3,196
Tepkime puanı
1
Puanları
38
Yaş
37
Konum
Bursa
Web sitesi
www.opencart-tr.com
RE: [KOD] OpenCart 1.4.0 Modüllerini 1.4.4'e Çevirmek

İlk mesajdakileri uygulaman gerekiyor.
 

Rapoloji

OpenCart-TR
Katılım
13 Ara 2010
Mesajlar
93
Tepkime puanı
0
Puanları
0
Tüm php lere bu kodları tanımlamadan yeni 1.4.9.1 modülüne uyarlanmış hali yok mu acaba kodun ?
 

Gökhan

OpenCart-TR
Katılım
27 May 2011
Mesajlar
6
Tepkime puanı
0
Puanları
0
benimde bi sorum olacaktı ya şimdi ben open cartı ilk defa kullanıyorum tam olarak açıklarmısınız hangi dosyaya atacam felan dosyaları gibi zaten ben open cartı öğrenim bilmeyenler için resimli anlatım yapacam :D
 
Üst